<template>
  <span class="createPost-container">
    <span sm="6" class="d-inline">
      <label>
        {{ $t('form.province') }}
      </label>
      <select id="formJobProvinceId" v-model="provinceModel" name="province" class="form-control w-25 d-inline">
        <option v-for="province in provinceList" :key="province" :value="province" v-text="province">&nbsp;</option>
      </select>
    </span>
    <b-col sm="6" class="d-inline">
      <label>
        {{ $t('form.city') }}
      </label>
      <select id="formJobCityId" v-model="cityModel" name="city" class="form-control w-25 d-inline">
        <option v-for="city in provinceCities(provinceModel)" :key="city" :value="city" v-text="city">&nbsp;</option>
      </select>
    </b-col>
  </span>
</template>

<script>
export default {
  name: 'IranCitiesComponent',

  components: {},
  props: {
    provinceModel: {
      type: String,
      default: '',
    },
    cityModel: {
      type: String,
      default: '',
    }, defaultProvince: {
      type: String,
      default: '',
    }, defaultCity: {
      type: String,
      default: '',
    },
  },
  data() {
    return {
      provinceList: [
        '', 'آذربایجان شرقی', 'آذربایجان غربی', 'اردبیل', 'اصفهان', 'البرز', 'ایلام',
        'بوشهر', 'تهران', 'چهارمحال و بختیاری', 'خراسان جنوبی', 'خراسان رضوی', 'خراسان شمالی', 'خوزستان',
        'زنجان', 'سمنان', 'سیستان و بلوچستان', 'فارس', 'قزوین', 'قم', 'کردستان',
        'کرمان', 'کرمانشاه', 'کهگیلویه و بویراحمد', 'گلستان', 'گیلان', 'لرستان', 'مازندران',
        'مرکزی', 'هرمزگان', 'همدان', 'یزد',
      ],
    };
  },
  computed: {
    contentShortLength() {
      return this.postForm.content_short.length;
    },
    lang() {
      return this.$store.getters.language;
    },
  },
  created: function() {
    this.provinceModel = this.provinceModel ? this.provinceModel : this.defaultProvince;
    this.cityModel = this.cityModel ? this.cityModel : this.defaultCity;
  },
  methods: {
    provinceCities: function(province) {
      switch (province) {
        case 'آذربایجان شرقی':
          return [
            'آذرشهر',
            'اسکو',
            'اهر',
            'بستان آباد',
            'بناب',
            'تبریز',
            'جلفا',
            'چاراویماق',
            'سراب',
            'شبستر',
            'عجب شیر',
            'کلیبر',
            'مراغه',
            'مرند',
            'ملکان',
            'میانه',
            'ورزقان',
            'هریس',
            'هشترود',
          ];
        case 'آذربایجان غربی':
          return [
            'ارومیه',
            'اشنویه',
            'بوکان',
            'پیرانشهر',
            'تکاب',
            'چالدران',
            'خوی',
            'سردشت',
            'سلماس',
            'شاهین دژ',
            'ماکو',
            'مهاباد',
            'میاندوآب',
            'نقده',
          ];
        case 'اردبیل':
          return [
            'اردبیل',
            'بیله سوار',
            'پارس آباد',
            'خلخال',
            'کوثر',
            'گرمی',
            'مشگین شهر',
            'نمین',
            'نیر',
          ];
        case 'اصفهان':
          return [
            'آران و بیدگل',
            'اردستان',
            'اصفهان',
            'برخوردار و میمه',
            'تیران و کرون',
            'چادگان',
            'خمینی شهر',
            'خوانسار',
            'سمیرم',
            'شهرضا',
            'سمیرم سفلی',
            'فریدن',
            'فریدون شهر',
            'فلاورجان',
            'کاشان',
            'گلپایگان',
            'لنجان',
            'مبارکه',
            'نائین',
            'نجف آباد',
            'نطنز',
          ];
        case 'البرز':
          return ['ساوجبلاغ', 'طالقان', 'کرج', 'نظرآباد'];
        case 'ایلام':
          return [
            'آبدانان',
            'ایلام',
            'ایوان',
            'دره شهر',
            'دهلران',
            'شیروان و چرداول',
            'مهران',
          ];
        case 'بوشهر':
          return [
            'بوشهر',
            'تنگستان',
            'جم',
            'دشتستان',
            'دشتی',
            'دیر',
            'دیلم',
            'کنگان',
            'گناوه',
          ];
        case 'تهران':
          return [
            'ورامین',
            'فیروزکوه',
            'شهریار',
            'شمیرانات',
            'ری',
            'رباط کریم',
            'دماوند',
            'تهران',
            'پاکدشت',
            'اسلام شهر',
          ];
        case 'چهارمحال و بختیاری':
          return [
            'اردل',
            'بروجن',
            'شهرکرد',
            'فارسان',
            'کوهرنگ',
            'لردگان',
          ];
        case 'خراسان جنوبی':
          return [
            'بیرجند',
            'درمیان',
            'سرایان',
            'سربیشه',
            'فردوس',
            'قائنات',
            'نهبندان',
          ];
        case 'خراسان رضوی':
          return [
            'بردسکن',
            'تایباد',
            'تربت جام',
            'تربت حیدریه',
            'چناران',
            'خلیل آباد',
            'خواف',
            'درگز',
            'رشتخوار',
            'سبزوار',
            'سرخس',
            'فریمان',
            'قوچان',
            'کاشمر',
            'کلات',
            'گناباد',
            'مشهد',
            'مه ولات',
            'نیشابور',
          ];
        case 'خراسان شمالی':
          return [
            'اسفراین',
            'بجنورد',
            'جاجرم',
            'شیروان',
            'فاروج',
            'مانه و سملقان',
          ];
        case 'خوزستان':
          return [
            'آبادان',
            'امیدیه',
            'اندیمشک',
            'اهواز',
            'ایذه',
            'باغ ملک',
            'بندر ماهشهر',
            'بهبهان',
            'خرمشهر',
            'دزفول',
            'دشت آزادگان',
            'رامشیر',
            'رامهرمز',
            'شادگان',
            'شوش',
            'شوشتر',
            'گتوند',
            'لالی',
            'مسجد سلیمان',
            'هندیجان',
          ];
        case 'زنجان':
          return [
            'ابهر',
            'ایجرود',
            'خدابنده',
            'خرمدره',
            'زنجان',
            'طارم',
            'ماه نشان',
          ];
        case 'سمنان':
          return [
            'دامغان',
            'سمنان',
            'شاهرود',
            'گرمسار',
            'مهدی شهر',
          ];
        case 'سیستان و بلوچستان':
          return [
            'ایرانشهر',
            'چابهار',
            'خاش',
            'دلگان',
            'زابل',
            'زاهدان',
            'زهک',
            'سراوان',
            'سرباز',
            'کنارک',
            'نیک شهر',
          ];
        case 'فارس':
          return [
            'آباده',
            'ارسنجان',
            'استهبان',
            'اقلید',
            'بوانات',
            'پاسارگاد',
            'جهرم',
            'خرم بید',
            'خنج',
            'داراب',
            'زرین دشت',
            'سپیدان',
            'شیراز',
            'فراشبند',
            'فسا',
            'فیروزآباد',
            'قیر و کارزین',
            'کازرون',
            'لارستان',
            'لامرد',
            'مرودشت',
            'ممسنی',
            'مهر',
            'نی ریز',
          ];
        case 'قزوین':
          return [
            'آبیک',
            'البرز',
            'بوئین زهرا',
            'تاکستان',
            'قزوین',
          ];
        case 'قم':
          return ['قم'];
        case 'کردستان':
          return [
            'بانه',
            'بیجار',
            'دیواندره',
            'سروآباد',
            'سقز',
            'سنندج',
            'قروه',
            'کامیاران',
            'مریوان',
          ];
        case 'کرمان':
          return [
            'بافت',
            'بردسیر',
            'بم',
            'جیرفت',
            'راور',
            'رفسنجان',
            'رودبار جنوب',
            'زرند',
            'سیرجان',
            'شهر بابک',
            'عنبرآباد',
            'قلعه گنج',
            'کرمان',
            'کوهبنان',
            'کهنوج',
            'منوجان',
          ];
        case 'کرمانشاه':
          return [
            'اسلام آباد غرب',
            'پاوه',
            'ثلاث باباجانی',
            'جوانرود',
            'دالاهو',
            'روانسر',
            'سرپل ذهاب',
            'سنقر',
            'صحنه',
            'قصر شیرین',
            'کرمانشاه',
            'کنگاور',
            'گیلان غرب',
            'هرسین',
          ];
        case 'کهگیلویه و بویراحمد':
          return [
            'بویراحمد',
            'بهمئی',
            'دنا',
            'کهگیلویه',
            'گچساران',
          ];
        case 'گلستان':
          return [
            'آزادشهر',
            'آق قلا',
            'بندر گز',
            'ترکمن',
            'رامیان',
            'علی آباد',
            'کردکوی',
            'کلاله',
            'گرگان',
            'گنبد کاووس',
            'مراوه تپه',
            'مینودشت',
          ];
        case 'گیلان':
          return [
            'آستارا',
            'آستانه',
            'اشرفیه',
            'املش',
            'بندر انزلی',
            'رشت',
            'رضوانشهر',
            'رودبار',
            'رودسر',
            'سیاهکل',
            'شفت',
            'صومعه سرا',
            'طوالش',
            'فومن',
            'لاهیجان',
            'لنگرود',
            'ماسال',
          ];
        case 'لرستان':
          return [
            'ازنا',
            'الیگودرز',
            'بروجرد',
            'پل دختر',
            'خرم آباد',
            'دورود',
            'دلفان',
            'سلسله',
            'کوهدشت',
          ];
        case 'مازندران':
          return [
            'آمل',
            'بابل',
            'بابلسر',
            'بهشهر',
            'تنکابن',
            'جویبار',
            'چالوس',
            'رامسر',
            'ساری',
            'سوادکوه',
            'قائم شهر',
            'گلوگاه',
            'محمودآباد',
            'نکا',
            'نور',
            'نوشهر',
          ];
        case 'مرکزی':
          return [
            'آشتیان',
            'اراک',
            'تفرش',
            'خمین',
            'دلیجان',
            'زرندیه',
            'ساوه',
            'شازند',
            'کمیجان',
            'محلات',
          ];
        case 'هرمزگان':
          return [
            'ابوموسی',
            'بستک',
            'بندر عباس',
            'بندر لنگه',
            'جاسک',
            'حاجی آباد',
            'خمیر',
            'رودان',
            'قشم',
            'گاوبندی',
            'میناب',
          ];
        case 'همدان':
          return [
            'اسدآباد',
            'بهار',
            'تویسرکان',
            'رزن',
            'کبودرآهنگ',
            'ملایر',
            'نهاوند',
            'همدان',
          ];
        case 'یزد':
          return [
            'ابرکوه',
            'اردکان',
            'بافق',
            'تفت',
            'خاتم',
            'صدوق',
            'طبس',
            'مهریز',
            'میبد',
            'یزد',
          ];
        default:
          return [''];
      }
    },
  },
};
</script>
